> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algure.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create product import

> Creates a new product import.

A product import is a job into which you can push catalog feeds to be processed. It will store errors from the processing along with other useful metadata. Each import has a unique ID associated and an expiry date, after which you will no longer be able to push more feeds. It is recommended to create a new import every time you want to upload a feed.



## OpenAPI

````yaml openapi-v1.json post /v1/products/import
openapi: 3.1.0
info:
  title: Algure API
  version: '1'
servers:
  - url: https://api.algure.com
    description: Algure Production Public API
security: []
paths:
  /v1/products/import:
    post:
      tags:
        - Products
      summary: Create product import
      description: >-
        Creates a new product import.


        A product import is a job into which you can push catalog feeds to be
        processed. It will store errors from the processing along with other
        useful metadata. Each import has a unique ID associated and an expiry
        date, after which you will no longer be able to push more feeds. It is
        recommended to create a new import every time you want to upload a feed.
      operationId: createProductImport
      parameters: []
      responses:
        '200':
          description: The import ID and expiry date timestamp in UTC.
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                  - expiresAt
                properties:
                  id:
                    type: string
                  expiresAt:
                    type: string
                    format: date-time
      security:
        - PublicAuth: []
components:
  securitySchemes:
    PublicAuth:
      type: http
      scheme: basic
      description: >-
        Use Integration API credentials as HTTP Basic auth (username: client id,
        password: client secret).

````